Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Hardware Enablement Stacks (HWE)  (Прочитано 6337 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн vlv

  • Автор темы
  • Участник
  • *
  • Сообщений: 109
  • Ubuntu 14.04 LTS_x86
    • Просмотр профиля
Hardware Enablement Stacks (HWE)
« : 19 Август 2016, 19:48:10 »
Сегодня, при обновлении, появилось сообщение:

New important security and hardware support update.
WARNING: Security updates for your current Hardware Enablement
Stack ended on 2016-08-04:
http://wiki.ubuntu.com/14.04_HWE_EOL

На вики предлагают обновляться до 16.04.

Что такое 'HWE' и нужно ли что-то делать?

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #1 : 19 Август 2016, 20:28:43 »
Нужно обновиться на новый stack или на 16.04 по вашему выбору.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн vlv

  • Автор темы
  • Участник
  • *
  • Сообщений: 109
  • Ubuntu 14.04 LTS_x86
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #2 : 20 Август 2016, 01:18:58 »
Объясните кто-нибудь, как для чайника, "на пальцах", что такое стек применительно к Убунте?

В вике пишут, что обновлений для ядра больше не будет, только для другого ПО. Это для блокнота с Пинтой?
А как же поддержка до 2019?

16.04 пробовал с флешки - сразу нашлось несколько глюков, от мелких, до невозможности настроить VPN.
Плюс проблемы с шифрованным /home при установке.

Решил сидеть на 14.04 до последнего и тут "обрадовали".

Оффлайн soarin

  • Старожил
  • *
  • Сообщений: 1474
  • ubuntu 18.04
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #3 : 20 Август 2016, 03:44:29 »
Обновляешь HWE, и сидишь дальше на 14.04. Естественно возможен трах-бабах с отвалами по зависимостям.
https://wiki.ubuntu.com/Kernel/LTSEnablementStack
sudo apt-get install --install-recommends linux-generic-lts-xenial xserver-xorg-core-lts-xenial xserver-xorg-lts-xenial xserver-xorg-video-all-lts-xenial xserver-xorg-input-all-lts-xenial libwayland-egl1-mesa-lts-xenial libgl1-mesa-glx-lts-xenial libgl1-mesa-glx-lts-xenial:i386 libglapi-mesa-lts-xenial:i386

Оффлайн Stanyslav Kovalsky

  • Активист
  • *
  • Сообщений: 266
  • Сувениры Ковальского
    • Просмотр профиля
    • Светильники-подарки
Re: Hardware Enablement Stacks (HWE)
« Ответ #4 : 15 Ноябрь 2016, 10:20:08 »
Вопрос)

Мне это обновление противопоказано, что будет если не обновлять стек?

Ubuntu 14.04.2 3.16.0-77

Насколько небезопасно будет работать в этой необновляемой системе?

И почему пишут, что -

"You are affected if it shows a kernel with the following version: 3.16 or 3.19 or 4.2
You are not affected if it shows a kernel with the following version: 3.13 or 4.4 "

Это значит, что изначально лучше бы подошла система с ядром 3.13?

Оффлайн Tear

  • Старожил
  • *
  • Сообщений: 1177
  • Ubuntu 14.04 LTS
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #5 : 15 Ноябрь 2016, 10:35:57 »
Решил сидеть на 14.04 до последнего и тут "обрадовали".
Чтобы сидеть на 14.04 до последнего, нужно было устанавливать систему с установочного диска 14.04 или 14.04.1, тогда никаких стеков менять не нужно было бы.

Оффлайн Stanyslav Kovalsky

  • Активист
  • *
  • Сообщений: 266
  • Сувениры Ковальского
    • Просмотр профиля
    • Светильники-подарки
Re: Hardware Enablement Stacks (HWE)
« Ответ #6 : 15 Ноябрь 2016, 10:51:33 »
Так в моем случае (14.04.2), следует переустановить на 14.04, чтобы безопасно работать?

Оффлайн Tear

  • Старожил
  • *
  • Сообщений: 1177
  • Ubuntu 14.04 LTS
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #7 : 15 Ноябрь 2016, 11:30:57 »
Либо откатываться до 14.04, либо переходить на стек от 14.04.5

Оффлайн Stanyslav Kovalsky

  • Активист
  • *
  • Сообщений: 266
  • Сувениры Ковальского
    • Просмотр профиля
    • Светильники-подарки
Re: Hardware Enablement Stacks (HWE)
« Ответ #8 : 15 Ноябрь 2016, 11:31:57 »
Т.е. Сейчас нет обновлений безопасности, а у 14.04 есть?
А почему пишут, что 14.04.2 поддерживается до 2019-го?

Пользователь добавил сообщение 15 Ноябрь 2016, 11:41:39:
Кто-то может толково объяснить всю эту ситуацию с версиями 14.04, ядрами и обновлениями? :)
« Последнее редактирование: 15 Ноябрь 2016, 11:41:39 от Stanyslav Kovalsky »

Оффлайн Tear

  • Старожил
  • *
  • Сообщений: 1177
  • Ubuntu 14.04 LTS
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #9 : 15 Ноябрь 2016, 11:43:25 »
Объясните кто-нибудь, как для чайника, "на пальцах", что такое стек применительно к Убунте?
Объясняю как это понимаю я. Выходит дистрибутив LTS-версии, к примеру, 14.04, со своей версией ядра и иксов. Поле выхода 14.10 ядро и иксы от 14.10 обкатываются и попадают в репозитории 14.04 в виде стека, а также попадают на установочный диск 14.04.2. Ну и так далее вплоть до версии 14.04.5, в которой ядро и иксы от 16.04. Самый первый образ диска, который 14.04, никаких стеков не содержит и поддерживается 5 лет. Другие пять лет не поддерживаются, до конца поддержки дистрибутива доживает только оригинал 14.04 и 14.04.5 с ядром от 16.04.
Моё мнение заключается в том, что стеки - ерунда, потому что другой софт в репозитории тестируется для оригинального дистрибутива, т.е с оригинальным ядром и иксами. Соответственно, с установкой стека можно получить баги и глюки софта из репозиториев. Ну ещё и путаницу вдобавок. Самое плохое, что при скачивании образов LTS с сайта Убунты предлагаются именно образы со стеками (14.04.2-14.04.5) после их выхода, поэтому люди, рассчитывая на долгосрочную поддержку, в конце концов вынуждены менять стек вплоть до стека от 14.04.5. Поэтому я рекомендую всегда установку LTS делать только с дисков 14.04 или 14.04.1. Ну как-то так..

Оффлайн Stanyslav Kovalsky

  • Активист
  • *
  • Сообщений: 266
  • Сувениры Ковальского
    • Просмотр профиля
    • Светильники-подарки
Re: Hardware Enablement Stacks (HWE)
« Ответ #10 : 15 Ноябрь 2016, 12:19:37 »
Капец, почему же об этом википедия молчит как партизан?
Знал бы, ставил бы сразу 14.04

Оффлайн Tear

  • Старожил
  • *
  • Сообщений: 1177
  • Ubuntu 14.04 LTS
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #11 : 15 Ноябрь 2016, 12:21:43 »
Stanyslav Kovalsky, вот тут написано, когда заканчивается:
https://wiki.ubuntu.com/1404_HWE_EOL

Пользователь добавил сообщение 15 Ноябрь 2016, 12:23:41:
Вроде ещё можно посмотреть через hwe-support-status, но я не знаю точно, я от стеков давно отказался.
« Последнее редактирование: 15 Ноябрь 2016, 12:23:41 от Tear »

Оффлайн Stanyslav Kovalsky

  • Активист
  • *
  • Сообщений: 266
  • Сувениры Ковальского
    • Просмотр профиля
    • Светильники-подарки
Re: Hardware Enablement Stacks (HWE)
« Ответ #12 : 15 Ноябрь 2016, 12:30:39 »
"14.04.2 HWE. С 4 августа 2016 года моя система больше не будет получать обновления пакета?

Это не так. Такая система будет только перестать получать обновления для ядра и стека графики. Остальная часть программного обеспечения будет продолжать получать обновления. "

А про 14.04 вообще не ясно.

Оффлайн Tear

  • Старожил
  • *
  • Сообщений: 1177
  • Ubuntu 14.04 LTS
    • Просмотр профиля
Re: Hardware Enablement Stacks (HWE)
« Ответ #13 : 15 Ноябрь 2016, 12:34:53 »
А про 14.04 вообще не ясно.
Чего не ясно? Я пользуюсь 14.04 без стеков с ядром 3.13, всё обновляется и будет обновляться до конца срока поддержки, система представляется как 14.04.5, хотя там оригинальные ядро и иксы, а не от стека.
Вообще, было бы логичнее помещать стэки в бэкпорты, чтобы те, кому они надо, могли ими пользоваться. Но тут ерунда вся в том, что их запихивают в установочные образы 14.04.2-14.04.5.

Пользователь добавил сообщение 15 Ноябрь 2016, 12:40:09:
И почему пишут, что -

"You are affected if it shows a kernel with the following version: 3.16 or 3.19 or 4.2
You are not affected if it shows a kernel with the following version: 3.13 or 4.4 "

Потому что в оригинальной 14.04 ядро версии 3.13, в 14.04.5 (если устанавливали с образа этой версии) - 4.4. Вот они и будут обновляться до 2019 года.
« Последнее редактирование: 15 Ноябрь 2016, 12:40:09 от Tear »

Оффлайн Stanyslav Kovalsky

  • Активист
  • *
  • Сообщений: 266
  • Сувениры Ковальского
    • Просмотр профиля
    • Светильники-подарки
Re: Hardware Enablement Stacks (HWE)
« Ответ #14 : 15 Ноябрь 2016, 12:41:04 »
Я когда запускаю dist-upgrade у меня тоже система обновляется.
Вопрос в том, какие у меня пакеты не обновляются, в отличии от 14.04.
Т.е. стОит ли переустанавливать снова систему на 14.04 из-за обновлений безопасности и других.
« Последнее редактирование: 15 Ноябрь 2016, 12:42:46 от Stanyslav Kovalsky »

 

Страница сгенерирована за 0.06 секунд. Запросов: 24.